org.eclipse.jgit.api

## Enum RebaseResult.Status

- java.lang.Object
- - java.lang.Enum<RebaseResult.Status>
  - - org.eclipse.jgit.api.RebaseResult.Status

All Implemented Interfaces:
  Serializable, Comparable<RebaseResult.Status>

Enclosing class:
  RebaseResult

    public static enum RebaseResult.Status
    extends Enum<RebaseResult.Status>

The overall status

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABORTED` Aborted; the original HEAD was restored
`CONFLICTS` Conflicts: checkout of target HEAD failed
`EDIT` Stopped for editing in the context of an interactive rebase
`FAILED` Failed; the original HEAD was restored
`FAST_FORWARD` Fast-forward, HEAD points to the new commit
`INTERACTIVE_PREPARED` Interactive rebase has been prepared
`NOTHING_TO_COMMIT` Continue with nothing left to commit (possibly want skip).
`OK` Rebase was successful, HEAD points to the new commit
`STASH_APPLY_CONFLICTS` Applying stash resulted in conflicts
`STOPPED` Stopped due to a conflict; must either abort or resolve or skip
`UNCOMMITTED_CHANGES` The repository contains uncommitted changes and the rebase is not a fast-forward
`UP_TO_DATE` Already up-to-date

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `isSuccessful()`
`static RebaseResult.Status` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RebaseResult.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OK

    public static final RebaseResult.Status OK

Rebase was successful, HEAD points to the new commit

#### ABORTED

    public static final RebaseResult.Status ABORTED

Aborted; the original HEAD was restored

#### STOPPED

    public static final RebaseResult.Status STOPPED

Stopped due to a conflict; must either abort or resolve or skip

#### EDIT

    public static final RebaseResult.Status EDIT

Stopped for editing in the context of an interactive rebase

Since:
  3.2

#### FAILED

    public static final RebaseResult.Status FAILED

Failed; the original HEAD was restored

#### UNCOMMITTED_CHANGES

    public static final RebaseResult.Status UNCOMMITTED_CHANGES

The repository contains uncommitted changes and the rebase is not a fast-forward

Since:
  3.2

#### CONFLICTS

    public static final RebaseResult.Status CONFLICTS

Conflicts: checkout of target HEAD failed

#### UP_TO_DATE

    public static final RebaseResult.Status UP_TO_DATE

Already up-to-date

#### FAST_FORWARD

    public static final RebaseResult.Status FAST_FORWARD

Fast-forward, HEAD points to the new commit

#### NOTHING_TO_COMMIT

    public static final RebaseResult.Status NOTHING_TO_COMMIT

Continue with nothing left to commit (possibly want skip).

Since:
  2.0

#### INTERACTIVE_PREPARED

    public static final RebaseResult.Status INTERACTIVE_PREPARED

Interactive rebase has been prepared

Since:
  3.2

#### STASH_APPLY_CONFLICTS

    public static final RebaseResult.Status STASH_APPLY_CONFLICTS

Applying stash resulted in conflicts

Since:
  3.2

### Method Detail

#### values

    public static RebaseResult.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RebaseResult.Status c : RebaseResult.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RebaseResult.Status valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isSuccessful

    public abstract boolean isSuccessful()

Returns:
  whether the status indicates a successful result